<template>
  <div>
    <div class="row">
      <div class="col-xs-8 flex">
        <div class="route-icon">
          <i
            style="font-size:28px; color:#0242AD"
            class="icon tractor-semi-trailer-refrizhirator-tent-b"
          ></i>
        </div>
        <div class="route-info">
          <div class="__way">Владимир → Шереметьево</div>
          <div class="__item">Полуприцеп. Тент. 20 т / 13.6 м / 34 пал</div>
        </div>
      </div>
      <div class="col-xs-4">
        <span class="price-tip">
          Все цены
          <br />указаны без НДС
        </span>
      </div>
    </div>

    <ob-table class="history-table" :columns="columns" :items="items" :functionalPanel="true"></ob-table>
  </div>
</template>

<script>
import ObTable from 'common-components/src/obComponents/obTable';

export default {
  name: 'HistoryModal',

  components: {
    ObTable,
  },
  props: {},
  mixins: [],
  computed: {
    columns() {
      return [
        {
          title: 'Дата',
          key: 'date',
          sortDisable: true,
          width: '100',
        },
        {
          title: 'Базовая цена, ₽',
          key: 'baseprice',
          width: '100',
        },
        {
          title: 'Описание',
          key: 'description',
          width: '250',
        },
      ];
    },
    items() {
      return [
        {
          date: `08.12.2019`,
          baseprice: `14 255`,
          description: `<div class="history-description">Расчет 0,85*14148 + 0,15*14861</div>`,
        },
        {
          date: `08.12.2019`,
          baseprice: `14 255`,
          description: `<div class="history-description">Расчет 0,85*14148 + 0,15*14861</div>`,
        },
        {
          date: `08.12.2019<span class="time">, 11:08</span>`,
          baseprice: `—`,
          description: `<div class="history-description unfixed">Фиксация цены снята, Отв. <a href="#">Иванов И.</a></div>`,
        },
        {
          date: `08.12.2019<span class="time">, 15:33</span>`,
          baseprice: `14 000`,
          description: `<div class="history-description fixed">Цена зафиксирована, Отв. <a href="#">Иванов И.</a></div>`,
        },
        {
          date: `08.12.2019`,
          baseprice: `14 255`,
          description: `<div class="history-description">Расчет 0,85*14148 + 0,15*14861</div>`,
        },
        {
          date: `08.12.2019`,
          baseprice: `—`,
          description: `<div class="history-description error">Ошибка при проведении расчетов</div>`,
        },
        {
          date: `08.12.2019`,
          baseprice: `14 255`,
          description: `<div class="history-description">Расчет 0,85*14148 + 0,15*14861</div>`,
        },
        {
          date: `08.12.2019`,
          baseprice: `14 255`,
          description: `<div class="history-description">Расчет 0,85*14148 + 0,15*14861</div>`,
        },
        {
          date: `08.12.2019`,
          baseprice: `—`,
          description: `<div class="history-description error">Ошибка при проведении расчетов</div>`,
        },
        {
          date: `08.12.2019`,
          baseprice: `14 255`,
          description: `<div class="history-description">Расчет 0,85*14148 + 0,15*14861</div>`,
        },
        {
          date: `08.12.2019`,
          baseprice: `14 255`,
          description: `<div class="history-description">Расчет 0,85*14148 + 0,15*14861</div>`,
        },
        {
          date: `08.12.2019<span class="time">, 11:08</span>`,
          baseprice: `—`,
          description: `<div class="history-description unfixed">Фиксация цены снята, Отв. <a href="#">Иванов И.</a></div>`,
        },
        {
          date: `08.12.2019<span class="time">, 15:33</span>`,
          baseprice: `14 000`,
          description: `<div class="history-description fixed">Цена зафиксирована, Отв. <a href="#">Иванов И.</a></div>`,
        },
        {
          date: `08.12.2019`,
          baseprice: `14 255`,
          description: `<div class="history-description">Расчет 0,85*14148 + 0,15*14861</div>`,
        },
        {
          date: `08.12.2019`,
          baseprice: `—`,
          description: `<div class="history-description error">Ошибка при проведении расчетов</div>`,
        },
        {
          date: `08.12.2019`,
          baseprice: `14 255`,
          description: `<div class="history-description">Расчет 0,85*14148 + 0,15*14861</div>`,
        },
        {
          date: `08.12.2019`,
          baseprice: `14 255`,
          description: `<div class="history-description">Расчет 0,85*14148 + 0,15*14861</div>`,
        },
        {
          date: `08.12.2019`,
          baseprice: `—`,
          description: `<div class="history-description error">Ошибка при проведении расчетов</div>`,
        },
      ];
    },
  },
  data() {
    return {};
  },
  methods: {},
};
</script>

<style lang="scss" scoped>
$cobalt-black: #191e32;
$shale-gray: #474b5b;
$gray-slate: #737682;

@import '~common-components/src/static/css/mixins';

.flex {
  display: flex;
  align-items: center;
  .route-icon {
    margin-right: 13px;
  }
  .route-info {
    @include font-mixin(12px, 14px, 400, $cobalt-black, 0.4px);
    text-transform: uppercase;
  }
}

.history-table {
  max-height: 552px;
}

.price-tip {
  display: block;
  margin-left: auto;
  @include font-mixin(12px, 14px, 400, $gray-slate, 0.4px);
  text-transform: uppercase;
  text-align: right;
}

::v-deep {
  .time {
    color: #9da0ac;
  }
  .history-description {
    color: #9da0ac;
    &.fixed,
    &.unfixed {
      color: $cobalt-black;
    }
    &.error {
      color: #e62d3b;
    }
    a {
      text-decoration: none;
    }
  }
}
</style>
